AMQPChannel::setPrefetchSize
AMQPExchange
AMQPChannel
PHP Manual

# AMQPChannel::startTransaction

Start a transaction

### Description

public void AMQPChannel::startTransaction ( void )

Start a transaction. This method must be called on the given channel prior to calling AMQPChannel::commitTransaction or AMQPChannel::rollbackTransaction.

### Parameters

This function has no parameters.

### Errors/Exceptions

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.